function [x,lambda,k,res]=RQI(A,x,lambda, tol)
% [x,lambda,k,res]=RQI(A,x,lambda, tol)
% 
% Rayleigh-Quotienten-Iteration zur Berechnung eines Eigenwertes und
% Eigenvektors einer Matrix A
%
% -------------------------------------------
% Input
% -----
% A        Matrix
% x        Startvektor x^(0)
% lambda   Anfangsschätzung für den Eigenwert
% tol      Abbruchschranke für das Residuum
%          ||Ax-lambda x||<= |lambda| tol
%
% Output
% ------
% x       neuer berechneter Eigenvektor
% lambda  zugehöriger Eigenwert (Rayleigh-Quotient)
% k       Anzahl Iterationsschritte
% res     Vektor der Länge k, welche für jeden Iterationsschritt k
%         die Norm des relativen Residuums 
%         ||Ax^(k)-lambda^(k) x^(k)|| /|lambda^(k)|
%         speichert

